| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::ItemPropertiesVersionsTab Class Reference
Inheritance diagram for Digikam::ItemPropertiesVersionsTab:

## Public Slots
void | setEnabledHistorySteps (int count)

## Signals
void | actionTriggered (const ItemInfo &info)
void | imageSelected (const ItemInfo &info)

## Public Member Functions
| ItemPropertiesVersionsTab (QWidget *const parent)
void | addOpenAlbumAction (const ItemModel *referenceModel)
void | addOpenImageAction ()
void | addShowHideOverlay ()
void | clear ()
FiltersHistoryWidget * | filtersHistoryWidget () const
void | readSettings (KConfigGroup &group)
void | setItem (const ItemInfo &info, const DImageHistory &history)
VersionsWidget * | versionsWidget () const
void | writeSettings (KConfigGroup &group)